<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: alatZaAnalitiku/src/dynamicui.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_32374e165223414b7d047617c9a74980.html">alatZaAnalitiku</a></li><li class="navelem"><a class="el" href="dir_a7d251295564edc7fd08ff39724eea9b.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">dynamicui.cpp File Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="dynamicui_8h_source.html">dynamicui.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="graphs_8h_source.html">graphs.h</a>&quot;</code><br />
<code>#include &quot;src/ui_dynamicui.h&quot;</code><br />
<code>#include &quot;<a class="el" href="statwindow_8h_source.html">statwindow.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="plotwindow_8h_source.html">plotwindow.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="report_8h_source.html">report.h</a>&quot;</code><br />
<code>#include &lt;QtCharts/QChartView&gt;</code><br />
<code>#include &lt;QScrollArea&gt;</code><br />
<code>#include &lt;QFileDialog&gt;</code><br />
<code>#include &lt;QPageSize&gt;</code><br />
<code>#include &lt;QTimer&gt;</code><br />
<code>#include &lt;QDateTime&gt;</code><br />
<code>#include &quot;<a class="el" href="tcontainer_8h_source.html">tcontainer.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for dynamicui.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="dynamicui_8cpp__incl.png" border="0" usemap="#aalat_za_analitiku_2src_2dynamicui_8cpp" alt=""/></div>
<map name="aalat_za_analitiku_2src_2dynamicui_8cpp" id="aalat_za_analitiku_2src_2dynamicui_8cpp">
<area shape="rect" title=" " alt="" coords="2576,5,2705,48"/>
<area shape="rect" href="dynamicui_8h.html" title=" " alt="" coords="416,96,507,123"/>
<area shape="poly" title=" " alt="" coords="2576,33,523,108,523,103,2576,28"/>
<area shape="rect" title=" " alt="" coords="129,179,221,205"/>
<area shape="poly" title=" " alt="" coords="2576,31,2122,37,1443,49,787,69,546,83,461,90,405,99,351,114,298,133,212,174,209,169,296,128,349,108,404,93,460,85,546,77,787,64,1443,43,2122,31,2576,26"/>
<area shape="rect" href="tcontainer_8h.html" title=" " alt="" coords="417,179,506,205"/>
<area shape="poly" title=" " alt="" coords="2576,31,2263,39,1766,60,1475,78,1169,102,860,134,557,173,522,179,521,174,556,168,859,128,1169,97,1474,73,1766,55,2263,33,2575,26"/>
<area shape="rect" href="graphs_8h.html" title=" " alt="" coords="1805,96,1876,123"/>
<area shape="poly" title=" " alt="" coords="2576,37,1892,106,1891,100,2575,32"/>
<area shape="rect" title=" " alt="" coords="3054,179,3200,205"/>
<area shape="poly" title=" " alt="" coords="2701,46,2821,94,2847,107,2872,120,2955,145,3060,172,3058,177,2953,150,2870,125,2844,112,2819,98,2699,51"/>
<area shape="rect" title=" " alt="" coords="2438,96,2568,123"/>
<area shape="poly" title=" " alt="" coords="2606,51,2539,90,2536,85,2604,46"/>
<area shape="rect" href="statwindow_8h.html" title=" " alt="" coords="2592,96,2689,123"/>
<area shape="poly" title=" " alt="" coords="2643,49,2643,80,2638,80,2638,49"/>
<area shape="rect" href="plotwindow_8h.html" title=" " alt="" coords="2713,96,2808,123"/>
<area shape="poly" title=" " alt="" coords="2673,46,2730,85,2727,89,2670,51"/>
<area shape="rect" href="report_8h.html" title=" " alt="" coords="1433,96,1498,123"/>
<area shape="poly" title=" " alt="" coords="2576,35,1514,107,1514,102,2575,30"/>
<area shape="rect" title=" " alt="" coords="2883,96,2971,123"/>
<area shape="poly" title=" " alt="" coords="2706,43,2869,89,2867,94,2704,49"/>
<area shape="rect" title=" " alt="" coords="2995,96,3083,123"/>
<area shape="poly" title=" " alt="" coords="2705,38,2981,93,2980,98,2704,43"/>
<area shape="rect" title=" " alt="" coords="3107,96,3171,123"/>
<area shape="poly" title=" " alt="" coords="2705,33,2877,55,3092,93,3092,98,2876,61,2705,38"/>
<area shape="rect" title=" " alt="" coords="3195,96,3281,123"/>
<area shape="poly" title=" " alt="" coords="2705,32,2912,55,3180,93,3179,98,2912,60,2705,37"/>
<area shape="rect" title=" " alt="" coords="2830,179,2936,205"/>
<area shape="poly" title=" " alt="" coords="508,109,1739,133,2453,151,2699,160,2819,168,2835,171,2834,177,2819,173,2699,165,2453,157,1739,139,508,114"/>
<area shape="rect" title=" " alt="" coords="331,179,392,205"/>
<area shape="poly" title=" " alt="" coords="448,125,390,171,387,167,444,121"/>
<area shape="rect" title=" " alt="" coords="5,179,105,205"/>
<area shape="poly" title=" " alt="" coords="416,119,282,140,118,173,106,176,105,171,117,168,281,135,415,114"/>
<area shape="rect" title=" " alt="" coords="2711,179,2807,205"/>
<area shape="poly" title=" " alt="" coords="508,108,946,113,1633,124,2306,142,2555,154,2701,168,2714,171,2713,176,2700,173,2554,159,2306,148,1633,130,945,119,508,114"/>
<area shape="rect" title=" " alt="" coords="245,179,308,205"/>
<area shape="poly" title=" " alt="" coords="432,126,320,173,318,174,315,169,318,168,430,121"/>
<area shape="poly" title=" " alt="" coords="416,124,234,173,225,176,224,171,233,168,415,119"/>
<area shape="poly" title=" " alt="" coords="464,123,464,163,459,163,459,123"/>
<area shape="rect" href="dataframe_8h.html" title=" " alt="" coords="2598,179,2688,205"/>
<area shape="poly" title=" " alt="" coords="508,109,1444,128,2043,146,2295,157,2485,168,2583,179,2583,184,2484,173,2294,162,2043,152,1444,134,508,114"/>
<area shape="rect" title=" " alt="" coords="624,261,697,288"/>
<area shape="poly" title=" " alt="" coords="494,203,616,253,614,258,492,208"/>
<area shape="rect" title=" " alt="" coords="205,261,308,288"/>
<area shape="poly" title=" " alt="" coords="431,208,303,258,302,253,429,203"/>
<area shape="rect" title=" " alt="" coords="331,261,387,288"/>
<area shape="poly" title=" " alt="" coords="447,208,389,254,385,249,444,204"/>
<area shape="rect" title=" " alt="" coords="411,261,513,288"/>
<area shape="poly" title=" " alt="" coords="464,206,464,246,459,246,459,206"/>
<area shape="rect" title=" " alt="" coords="537,261,600,288"/>
<area shape="poly" title=" " alt="" coords="480,204,541,250,538,254,477,208"/>
<area shape="rect" title=" " alt="" coords="2660,261,2770,288"/>
<area shape="poly" title=" " alt="" coords="2656,204,2696,248,2692,252,2652,208"/>
<area shape="rect" title=" " alt="" coords="2477,261,2542,288"/>
<area shape="poly" title=" " alt="" coords="2624,208,2545,255,2542,251,2621,204"/>
<area shape="rect" title=" " alt="" coords="2567,261,2636,288"/>
<area shape="poly" title=" " alt="" coords="2639,207,2617,249,2612,247,2634,205"/>
<area shape="poly" title=" " alt="" coords="1804,115,1365,134,1122,152,1035,162,984,173,969,182,959,193,949,205,934,216,877,239,817,255,712,272,711,267,816,250,875,234,931,211,946,201,955,190,966,178,982,168,1034,157,1122,146,1365,129,1804,109"/>
<area shape="poly" title=" " alt="" coords="1877,108,1994,111,2169,119,2372,137,2477,151,2580,168,2593,171,2592,176,2578,173,2476,156,2372,142,2168,124,1994,116,1876,113"/>
<area shape="poly" title=" " alt="" coords="1877,109,2020,114,2212,125,2388,143,2451,154,2486,169,2500,185,2508,205,2514,245,2508,246,2503,207,2495,188,2483,173,2449,159,2388,148,2211,130,2019,119,1876,114"/>
<area shape="poly" title=" " alt="" coords="1876,108,2012,109,2199,116,2295,123,2384,134,2460,149,2515,168,2539,184,2560,205,2590,246,2585,249,2555,208,2535,189,2512,173,2458,154,2383,139,2295,129,2199,121,2012,114,1876,113"/>
<area shape="rect" title=" " alt="" coords="2355,179,2473,205"/>
<area shape="poly" title=" " alt="" coords="1877,110,2076,128,2209,145,2344,168,2359,172,2358,177,2342,173,2209,151,2076,134,1876,116"/>
<area shape="poly" title=" " alt="" coords="1876,109,2437,128,2786,146,2932,156,3042,168,3066,172,3065,177,3041,173,2931,162,2785,151,2437,133,1876,114"/>
<area shape="rect" title=" " alt="" coords="582,179,731,205"/>
<area shape="poly" title=" " alt="" coords="1804,115,1247,141,929,159,743,173,719,178,718,172,743,168,929,154,1247,136,1804,110"/>
<area shape="rect" title=" " alt="" coords="755,179,921,205"/>
<area shape="poly" title=" " alt="" coords="1804,115,1381,139,1126,156,939,173,910,178,909,173,939,168,1126,150,1381,133,1804,110"/>
<area shape="rect" title=" " alt="" coords="995,179,1142,205"/>
<area shape="poly" title=" " alt="" coords="1804,115,1533,131,1345,148,1154,173,1132,177,1131,172,1153,168,1345,143,1533,125,1804,109"/>
<area shape="rect" title=" " alt="" coords="1166,179,1304,205"/>
<area shape="poly" title=" " alt="" coords="1805,116,1597,135,1458,151,1317,173,1297,177,1296,172,1316,168,1457,146,1596,129,1804,111"/>
<area shape="rect" title=" " alt="" coords="1329,179,1440,205"/>
<area shape="poly" title=" " alt="" coords="1805,117,1651,138,1552,154,1453,173,1439,177,1438,171,1452,168,1551,148,1650,132,1804,112"/>
<area shape="rect" title=" " alt="" coords="1464,179,1585,205"/>
<area shape="poly" title=" " alt="" coords="1805,122,1597,173,1584,177,1583,171,1596,168,1804,117"/>
<area shape="rect" title=" " alt="" coords="1608,179,1753,205"/>
<area shape="poly" title=" " alt="" coords="1817,126,1720,174,1717,169,1814,121"/>
<area shape="rect" title=" " alt="" coords="1777,179,1904,205"/>
<area shape="poly" title=" " alt="" coords="1843,123,1843,163,1838,163,1838,123"/>
<area shape="rect" title=" " alt="" coords="1928,179,2113,205"/>
<area shape="poly" title=" " alt="" coords="1870,121,1980,170,1978,175,1867,126"/>
<area shape="rect" title=" " alt="" coords="2137,171,2330,213"/>
<area shape="poly" title=" " alt="" coords="1877,115,2123,165,2122,171,1876,121"/>
<area shape="poly" title=" " alt="" coords="2679,121,2832,171,2830,176,2677,126"/>
<area shape="poly" title=" " alt="" coords="2660,121,2729,168,2726,172,2657,125"/>
<area shape="poly" title=" " alt="" coords="2592,124,2581,125,2474,134,2352,140,2067,144,1405,137,1065,133,744,136,461,148,339,158,234,173,221,176,220,171,233,168,339,153,461,142,744,130,1065,128,1405,131,2067,139,2352,135,2474,129,2580,120,2592,118"/>
<area shape="poly" title=" " alt="" coords="2643,123,2645,163,2639,164,2638,123"/>
<area shape="rect" title=" " alt="" coords="2960,179,3030,205"/>
<area shape="poly" title=" " alt="" coords="2689,118,2701,120,2826,140,2880,150,2949,168,2955,170,2953,175,2948,173,2879,155,2825,145,2700,125,2688,123"/>
<area shape="poly" title=" " alt="" coords="2781,121,2853,168,2850,172,2778,125"/>
<area shape="poly" title=" " alt="" coords="2763,123,2762,163,2757,163,2757,123"/>
<area shape="poly" title=" " alt="" coords="2744,125,2675,172,2672,168,2740,121"/>
<area shape="poly" title=" " alt="" coords="2809,118,3042,168,3060,172,3059,177,3041,173,2808,123"/>
<area shape="rect" title=" " alt="" coords="3224,179,3321,205"/>
<area shape="poly" title=" " alt="" coords="2809,113,3020,138,3132,154,3213,168,3224,171,3223,176,3212,173,3131,159,3019,143,2808,119"/>
<area shape="poly" title=" " alt="" coords="1432,114,953,134,695,151,609,162,583,167,571,173,565,182,564,191,572,212,591,235,615,252,612,256,587,239,567,215,559,191,560,180,568,169,582,162,608,156,695,146,953,128,1432,109"/>
</map>
</div>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
